$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.27-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.27-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '57B86001014BD118C08BB74AF3D7B1950ACF7AC11290CAE7DD49268B75AF08FD'
  checksumType = 'sha256'
  checksum64 = '57B86001014BD118C08BB74AF3D7B1950ACF7AC11290CAE7DD49268B75AF08FD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.27-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
